%global debug_package %{nil}

Name: python-webob
Epoch: 100
Version: 1.8.7
Release: 1%{?dist}
BuildArch: noarch
Summary: WSGI request and response object
License: MIT
URL: https://github.com/Pylons/webob/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
WebOb provides objects for HTTP requests and responses. Specifically it
does this by wrapping the WSGI request environment and response
status/headers/app_iter(body).

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-WebOb
Summary: WSGI request and response object
Requires: python3
Provides: python3-webob = %{epoch}:%{version}-%{release}
Provides: python3dist(webob) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-webob = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(webob) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-webob = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(webob) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-WebOb
WebOb provides objects for HTTP requests and responses. Specifically it
does this by wrapping the WSGI request environment and response
status/headers/app_iter(body).

%files -n python%{python3_version_nodots}-WebOb
%license docs/license.txt
%{python3_sitelib}/*
%endif

%if 0%{?sle_version} > 150000
%package -n python3-WebOb
Summary: WSGI request and response object
Requires: python3
Provides: python3-webob = %{epoch}:%{version}-%{release}
Provides: python3dist(webob) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-webob = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(webob) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-webob = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(webob) = %{epoch}:%{version}-%{release}

%description -n python3-WebOb
WebOb provides objects for HTTP requests and responses. Specifically it
does this by wrapping the WSGI request environment and response
status/headers/app_iter(body).

%files -n python3-WebOb
%license docs/license.txt
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000)
%package -n python3-webob
Summary: WSGI request and response object
Requires: python3
Provides: python3-webob = %{epoch}:%{version}-%{release}
Provides: python3dist(webob) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-webob = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(webob) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-webob = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(webob) = %{epoch}:%{version}-%{release}

%description -n python3-webob
WebOb provides objects for HTTP requests and responses. Specifically it
does this by wrapping the WSGI request environment and response
status/headers/app_iter(body).

%files -n python3-webob
%license docs/license.txt
%{python3_sitelib}/*
%endif

%changelog
